AnsweredAssumed Answered

M/R Run-time error: libMapRClient.so.1 already loaded

Question asked by thealy on Apr 20, 2015
Running Version 3.1.0.23703.GA / M3

I updated an M/R job that has run for ~2 years, prior to be being off-line for the past few months due to a data format change. The only code changes relate to a modified AVRO schema change. When I went to build and run the code, I had to add these three jars to resolve several "class not found" issues:

maprfs-jni-1.0.3-mapr-3.1.0.jar
maprfs-1.0.3-mapr-3.1.0.jar
hadoop-0.20.2-auth.jar

But now when run in debug mode within NetBeans or from the command line, it fails saying:

<code>
util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable

security.JniBasedUnixGroupsMappingWithFallback: Falling back to shell based

java.lang.UnsatisfiedLinkError: Native Library /opt/mapr/lib/libMapRClient.so.1 already loaded in another classloader
</code>

I don't understand what this error is telling me. What is the "other" classloader, and how can I get it running again?

Thanks for any suggestions.

Outcomes